---
title: Tech Integrations
type: overview
layout: docs
parent_section: overview
order: 3
source_code:
examples: []
---

Here are the main web specifications and third-party libraries implemented in Exokit.

| Tech          | Web or Native API     | Spec  | Source |
| ------------- |:-------------:|:-----:|-------:|
| WebVR      | Web | [WebVR](https://developer.mozilla.org/en-US/docs/Web/API/WebVR_API) | [Source](https://github.com/exokitxr/exokit/blob/master/src/core.js) |
| WebXR      | Web | [WebXR](https://github.com/immersive-web/webxr) | [Source](https://github.com/exokitxr/exokit/blob/master/src/XR.js ) |
| React      | Web | [React](https://reactjs.org/docs/getting-started.html) | [Source](https://github.com/exokitxr/exokit/blob/master/src/core.js) |
| HTML5      | Web  | [HTML5](https://developer.mozilla.org/en-US/docs/Web/Guide/HTML/HTML5)  | [Source](https://github.com/exokitxr/exokit/blob/master/src/core.js) |
| CSS        | Web  | [CSS](https://developer.mozilla.org/en-US/docs/Web/CSS) | [Source](https://github.com/exokitxr/exokit/blob/master/src/core.js) |
| THREE.js   | Web  | [THREE.js](https://threejs.org/docs/) | [Source](https://github.com/exokitxr/exokit/blob/master/lib/three-min.js ) |
| Express    | Web  | [Express](https://expressjs.com/en/api.html) | [Source](https://github.com/exokitxr/exokit/blob/master/src/core.js) |
| WebSockets | Web  | [WebSockets](https://developer.mozilla.org/en-US/docs/Web/API/WebSockets_API) | [Source](https://github.com/exokitxr/exokit/blob/master/src/core.js) |
| FetchAPI   | Web  | [Fetch API](https://developer.mozilla.org/en-US/docs/Web/API/Fetch_API) | [Source](https://github.com/exokitxr/exokit/blob/master/src/core.js) |
| Web Workers| Web  | [Web Workers](https://developer.mozilla.org/en-US/docs/Web/API/Web_Workers_API) | [Source](https://github.com/exokitxr/exokit/blob/master/src/core.js) |
| WebGL      | Native | [WebGL](https://developer.mozilla.org/en-US/docs/Web/API/WebGL_API) | [Source](https://github.com/exokitxr/exokit/tree/master/deps/exokit-bindings/webglcontext ) |
| Canvas2d   | Native | [Canvas 2D](https://developer.mozilla.org/en-US/docs/Web/API/Canvas_API) | [Source]( https://github.com/exokitxr/exokit/tree/master/deps/exokit-bindings/canvas) |
| WebAudio   | Native | [WebAudio](https://developer.mozilla.org/en-US/docs/Web/API/Web_Audio_API) | [Source](https://github.com/exokitxr/exokit/tree/master/deps/exokit-bindings/webaudiocontext ) |
| WebRTC     | Native | [WebRTC](https://developer.mozilla.org/en-US/docs/Web/API/WebRTC_API) | [Source](https://github.com/exokitxr/exokit/tree/master/deps/exokit-bindings ) |
| Node       | Native | [Node](https://nodejs.org/en/docs/) | [Source](https://github.com/modulesio/node-magicleap) |
| OpenVR     | Native | [OpenVR](https://github.com/ValveSoftware/openvr/wiki/API-Documentation) | [Source]( https://github.com/exokitxr/exokit/tree/master/deps/openvr) |
| OVR        | Native | [OVR from Oculus](https://developer.oculus.com/) | [Source]( https://github.com/exokitxr/exokit/tree/master/deps/exokit-bindings) |
| Magic Leap SDK      | Native | [Magic Leap SDK](https://www.magicleap.com/creator) | [Source](https://github.com/exokitxr/exokit/tree/master/deps/exokit-bindings/magicleap ) |
| Leap Motion| Native | [Leap Motion Orion](https://developer.leapmotion.com/orion/) | [Source](https://github.com/exokitxr/exokit/tree/master/deps/exokit-bindings/leapmotion ) |
| Chromium   | Native | [Chromium](https://www.chromium.org/developers) | [Source](https://github.com/exokitxr/exokit/tree/master/deps/exokit-bindings ) |
